import React from 'react';
import type { SortDirection } from '../../modules';
type IndexInfo = {
    key: string;
    'data-testid': string;
    fields: {
        key?: string;
        'data-testid': string;
        children: React.ReactNode;
        className?: string;
    }[];
    actions?: React.ReactNode;
    details?: React.ReactNode;
};
export type IndexesTableProps<Column extends string> = {
    ['data-testid']: string;
    ['aria-label']: string;
    columns: readonly Column[];
    data: IndexInfo[];
    canModifyIndex?: boolean;
    onSortTable: (column: Column, direction: SortDirection) => void;
};
export declare function IndexesTable<Column extends string>({ ['data-testid']: dataTestId, ['aria-label']: ariaLabel, columns: sortColumns, canModifyIndex, data, onSortTable, }: IndexesTableProps<Column>): JSX.Element;
export {};
//# sourceMappingURL=indexes-table.d.ts.map